%define name 	kgraphviewer
%define version 1.0.2
%define release	1 

Summary:	A GraphViz dot graph viewer for KDE
Name:		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{name}-%version.tar.bz2
License: 	GPL
Group: 		Graphics	 	
Url: 		https://gna.org/projects/kgraphviewer
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	graphviz
BuildRequires:	graphviz
BuildRequires:	scons
BuildRequires: 	kdebase-devel
BuildRequires:  libxml2-utils

%description 
KGraphViewer is user-friendly KDE application for viewing dot graphs 
created for processing with GraphViz. Notable features provided include:

- loading of several graphs in tabs
- bird's-eye graph view
- zooming view
- simple printing
- context menu and toolbar for selecting layout algorithms
- session management

%prep
%setup -q 

%build
./configure \
%if "%{_lib}" != "lib"
    libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif	
	prefix=%{_prefix} libsuffix
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%update_menus

%files
%defattr(-,root,root)
%_bindir/kgraphviewer
%_libdir/kde3/libkgraphviewerpart.la
%_libdir/kde3/libkgraphviewerpart.so
%_libdir/kde3/libkgraphviewerprinting.la
%_libdir/kde3/libkgraphviewerprinting.so

%_datadir/apps/kgraphviewer/pics/*.png
%_datadir/apps/kgraphviewerpart/pics/*.png

%_datadir/locale/fr/LC_MESSAGES/kgraphviewer.mo


%_datadir/applications/kde/kgraphviewer_part.desktop
%_datadir/applnk/Utilities/kgraphviewer.desktop
%_datadir/apps/kgraphviewer/kgraphviewer_shell.rc
%_datadir/apps/kgraphviewerpart/kgraphviewer_part.desktop
%_datadir/apps/kgraphviewerpart/kgraphviewer_part.rc
%_datadir/config.kcfg/kgraphviewersettings.kcfg

%doc %_docdir/HTML/en/kgraphviewer/*.bz2
%doc %_docdir/HTML/en/kgraphviewer/index.docbook
%doc %_docdir/HTML/en/kgraphviewer/*.png
%doc %_docdir/HTML/en/kgraphviewer/*.eps

%_datadir/icons/hicolor/16x16/apps/kgraphviewer.png
%_datadir/icons/hicolor/32x32/apps/kgraphviewer.png
%_datadir/mimelnk/application/x-kgraphviewer.desktop

%changelog
* Mon Jul 10 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.2-1 
- 1.0.2

* Sat Jun 24 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.1-1 
- 1.0.1

* Mon May 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.rc1.4mdv2007.0
- Add BuildRequires

* Mon May 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.3
- Add requires 

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.2
- Fix buildrequires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.1
- 1.0rc1 

* Tue May 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9-1
- 0.9

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8-1
- I don't understand how this package was created previously... => fix spec file

* Sun Apr 23 2006 Lev Givon <lev@mandriva.org> 0.3.2-1mdk
- Initial Mandriva package.

